Bug 1029182 - DTGov quickstarts cannot be built/run OOTB after importing into JBDS
DTGov quickstarts cannot be built/run OOTB after importing into JBDS
Status: CLOSED NOTABUG
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Kurt T Stam
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 16:04 EST by Len DiMaggio
Modified: 2015-08-02 19:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 12:15:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
settings.xml (203.32 KB, image/png)
2013-11-12 12:13 EST, Len DiMaggio
no flags Details
Screenshot (203.32 KB, image/png)
2013-11-12 12:14 EST, Len DiMaggio
no flags Details

  None (edit)
Description Len DiMaggio 2013-11-11 16:04:25 EST
Description of problem:

These errors are generated:

Required Capability Missing: The "Bean" capability should be configured on the project when using this type of implementation.	

Required Capability Missing: The "Bean" capability should be configured on the project when using this type of implementation.

Required Capability Missing: The "SOAP" capability should be configured on the project when using this type of binding.	

Required Capability Missing: The "SOAP" capability should be configured on the project when using this type of binding.	

Required Capability Missing: The "SOAP" capability should be configured on the project when using this type of binding.	





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Len DiMaggio 2013-11-12 11:25:21 EST
Sorry that the description was vague.

Details:

To recreate the issue:

1) Install JBDS

JBDS 7.0.0 (jbdevstudio-product-universal-7.0.0.GA-v20130720-0044-B364.jar from CSP)

or JBDS 7.1.0.beta1 (http://www.qa.jboss.com/binaries/RHDS/builds/development/7.1.0.Beta1b.installer/)

2) Install SwitchYard FSW6 tooling from:  

http://download.jboss.org/jbosstools/updates/development/kepler/integration-stack/aggregate/4.1.1/

3) Configure the maven repo using the settings.xml attached to this bugzilla
(delete the local repo - to start clean)

4) Install FSW6.ER6 (http://dev138.mw.lab.eng.bos.redhat.com/candidate/soa-6.0.0-ER6/)

5) In JBDS, import (as existing maven projects) the dtgov examples: boss-eap-6.1/quickstarts/overlord/dtgov

These errors are reported in the "Problems" view
Comment 2 Len DiMaggio 2013-11-12 12:13:36 EST
Created attachment 823050 [details]
settings.xml
Comment 3 Len DiMaggio 2013-11-12 12:14:14 EST
Created attachment 823051 [details]
Screenshot

Bug is not reproducible

Note You need to log in before you can comment on or make changes to this bug.